PLSDIDEV(3)

NAME
plsdidev - Set parameters that define current device-space window

SYNOPSIS
plsdidev(mar, aspect, jx, jy)

DESCRIPTION

Set relative margin width, aspect ratio, and relative justification that define current device-space window. If you want to just use the previous value for any of these, just pass in the magic value PL_NOTSET. It is unlikely that one should ever need to change the aspect ratio but it's in there for completeness. If plsdidev(3) is not called the default values of mar, jx, and jy are all 0. aspect is set to a device-specific value.

Redacted form: plsdidev(mar, aspect, jx, jy)

This function is used in example 31.

ARGUMENTS

mar (PLFLT(3), input)
    Relative margin width.

aspect (PLFLT(3), input)
    Aspect ratio.

jx (PLFLT(3), input)
    Relative justification in x. Value must lie in the range -0.5 to 0.5.

jy (PLFLT(3), input)
    Relative justification in y. Value must lie in the range -0.5 to 0.5.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.